{% extends 'pathotrack/layout/base.html' %}

{% block content %}

<div class="page-header">
    <div class="row align-items-center">
        <div class="col-auto">
            <!-- Page pre-title -->
            <div class="page-pretitle">
                Overview
            </div>
            <h2 class="page-title">
                Dashboard
            </h2>
        </div>
        <!-- Page title actions -->
        <div class="col-auto ml-auto d-print-none">
            <a href="{% url 'patients:register' %}" class="btn btn-primary ml-3 d-none d-sm-inline-block">
                <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z"/><line x1="12" y1="5" x2="12" y2="19" /><line x1="5" y1="12" x2="19" y2="12" /></svg>
                Add New Patient
            </a>
        </div>
    </div>
</div>

<div class="row row-deck row-cards">
    <div class="col-md-4 col-lg-4">
        <div class="card card-sm">
            <a id="dashcard1" href="#">
                <div class="card-body d-flex align-items-center">
                    <span class="bg-green text-white stamp mr-3"><svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z"/><path d="M12 20l-7 -7a4 4 0 0 1 6.5 -6a.9 .9 0 0 0 1 0a4 4 0 0 1 6.5 6l-7 7" /></svg>
                    </span>
                    <div class="mr-3 lh-sm">
                        <div class="strong">
                            Recent Reports
                        </div>
                        <div class="text-muted">{{ recent_length }} new reports</div>
                    </div>
                    <div class="ml-auto">
                        <div class="chart-sparkline" id="sparkline-80"></div>
                    </div>
                </div>
            </a>
        </div>
    </div>

    <div class="col-md-4 col-lg-4">
        <div class="card card-sm">
            <a id="dashcard2" href="#">
                <div class="card-body d-flex align-items-center">
                    <span class="bg-red text-white stamp mr-3"><svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z"/><path d="M12 20l-7 -7a4 4 0 0 1 6.5 -6a.9 .9 0 0 0 1 0a4 4 0 0 1 6.5 6l-7 7" /></svg>
                    </span>
                    <div class="mr-3 lh-sm">
                        <div class="strong">
                            Unfinished Reports
                        </div>
                        <div class="text-muted">{{ wip_length }} unifished reports</div>
                    </div>
                    <div class="ml-auto">
                        <div class="chart-sparkline" id="sparkline-80"></div>
                    </div>
                </div>
            </a>
        </div>
    </div>

    <div class="col-md-4 col-lg-4">
        <div class="card card-sm">
            <a href="{% url 'users:profile' %}">
                <div class="card-body d-flex align-items-center">
                    <span class="bg-blue text-white stamp mr-3"><svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z"/><circle cx="12" cy="7" r="4" /><path d="M5.5 21v-2a4 4 0 0 1 4 -4h5a4 4 0 0 1 4 4v2" /></svg></span>
                    <div class="mr-3 lh-sm">
                        <div class="strong">
                            Welcome {{ request.user }}
                        </div>
                        <div class="text-muted">User Profile</div>
                    </div>
                    <div class="ml-auto">
                        <div class="chart-sparkline" id="sparkline-80"></div>
                    </div>
                </div>
            </a>
        </div>
    </div>
</div>



<div id="dashbox1" class="box">
    <div class="card">
        <div class="card-header">
            <span class="text-right">
                <h3 class="card-title">Recent Reports</h3>
            </span>
        </div>
        <div class="table-responsive">
            <table class="table table-vcenter card-table">
                <thead>
                    <tr>
                        <th>Sl No</th>
                        <th>Name</th>
                        <th>Pathology ID</th>
                        <th>Entry Date</th>
                        <th>Sample</th>
                        <th>Phone No</th>
                        <th>Actions</th>
                    </tr>
                </thead>

                <tbody>
                    {% for report in reports %}
                    <tr>
                        <td>{{ forloop.counter }}</td>
                        <td>{{ report.patient_id__patient_name | capfirst }}</td>
                        <td>{{ report.pathology_id | capfirst}}</td>
                        <td>{{ report.patient_enter_date }}</td>
                        <td>{{ report.patient_sample | capfirst }}</td>
                        <td>{{ report.patient_id__patient_phone }}</td>

                        <td width="240">
                          <form method="POST">
                            {% csrf_token %}
                            <input type="hidden" name="acc_no" value={{ report.acc_no }}>
                            <input type="hidden" name="patient_id" value={{ report.patient_id_id }}>
                            <button class="btn btn-sm btn-success" type="submit" name="submit" value="view">
                              <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-eye" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
                                        <path stroke="none" d="M0 0h24v24H0z"/>
                                        <circle cx="12" cy="12" r="2" />
                                        <path d="M2 12l1.5 2a11 11 0 0 0 17 0l1.5 -2" />
                                        <path d="M2 12l1.5 -2a11 11 0 0 1 17 0l1.5 2" />
                                    </svg>
                                    View
                                </button>

                                <!--
                                     <button class="btn btn-sm btn-warning" type="submit" name="submit" value="edit">
                                     <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-edit" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
                                     <path stroke="none" d="M0 0h24v24H0z"/>
                                     <path d="M9 7 h-3a2 2 0 0 0 -2 2v9a2 2 0 0 0 2 2h9a2 2 0 0 0 2 -2v-3" />
                                     <path d="M9 15h3l8.5 -8.5a1.5 1.5 0 0 0 -3 -3l-8.5 8.5v3" />
                                     <line x1="16" y1="5" x2="19" y2="8" />
                                     </svg>
                                     Edit
                                     </button>

                                     <button class="btn btn-sm btn-secondary" type="submit" name="submit" value="delete">
                                     <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-md" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z"></path><path d="M17 17h2a2 2 0 0 0 2 -2v-4a2 2 0 0 0 -2 -2h-14a2 2 0 0 0 -2 2v4a2 2 0 0 0 2 2h2"></path><path d="M17 9v-4a2 2 0 0 0 -2 -2h-6a2 2 0 0 0 -2 2v4"></path><rect x="7" y="13" width="10" height="8" rx="2"></rect></svg>
                                     Print
                                     </button>
                                -->

                            </form>
                        </td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
</div>

<div id="dashbox2" class="box" style="display:none">
    <div class="card">
        <div class="card-header">
            <span class="text-right">
                <h3 class="card-title">Unfinished Reports</h3>
            </span>
        </div>
        <div class="table-responsive">
            <table class="table table-vcenter card-table">
                <thead>
                    <tr>
                        <th>Sl No</th>
                        <th>Name</th>
                        <th>Pathology ID</th>
                        <th>Entry Date</th>
                        <th>Sample</th>
                        <th>Phone No</th>
                        <th>Actions</th>
                    </tr>
                </thead>

                <tbody>
                    {% for wip_report in wip_reports %}
                    <tr>
                        <td>{{ forloop.counter }}</td>
                        <td>{{ wip_report.patient_id__patient_name | capfirst }}</td>
                        <td>{{ wip_report.pathology_id | capfirst}}</td>
                        <td>{{ wip_report.patient_enter_date }}</td>
                        <td>{{ wip_report.patient_sample | capfirst }}</td>
                        <td>{{ wip_report.patient_id__patient_phone }}</td>

                        <td width="240">
                          <form method="POST">
                            {% csrf_token %}
                            <input type="hidden" name="acc_no" value={{ wip_report.acc_no }}>
                            <input type="hidden" name="patient_id" value={{ wip_report.patient_id_id }}>
                            <button class="btn btn-sm btn-success" type="submit" name="submit" value="view">
                                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-eye" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
                                        <path stroke="none" d="M0 0h24v24H0z"/>
                                        <circle cx="12" cy="12" r="2" />
                                        <path d="M2 12l1.5 2a11 11 0 0 0 17 0l1.5 -2" />
                                        <path d="M2 12l1.5 -2a11 11 0 0 1 17 0l1.5 2" />
                                    </svg>
                                    View
                                </button>

                                <!--
                                     <button class="btn btn-sm btn-warning" type="submit" name="submit" value="edit">
                                     <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-edit" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
                                     <path stroke="none" d="M0 0h24v24H0z"/>
                                     <path d="M9 7 h-3a2 2 0 0 0 -2 2v9a2 2 0 0 0 2 2h9a2 2 0 0 0 2 -2v-3" />
                                     <path d="M9 15h3l8.5 -8.5a1.5 1.5 0 0 0 -3 -3l-8.5 8.5v3" />
                                     <line x1="16" y1="5" x2="19" y2="8" />
                                     </svg>
                                     Edit
                                     </button>

                                     <button class="btn btn-sm btn-secondary" type="submit" name="submit" value="delete">
                                     <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-md" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z"></path><path d="M17 17h2a2 2 0 0 0 2 -2v-4a2 2 0 0 0 -2 -2h-14a2 2 0 0 0 -2 2v4a2 2 0 0 0 2 2h2"></path><path d="M17 9v-4a2 2 0 0 0 -2 -2h-6a2 2 0 0 0 -2 2v4"></path><rect x="7" y="13" width="10" height="8" rx="2"></rect></svg>
                                     Print
                                     </button>
                                -->
                            </form>
                        </td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
</div>


<script>
 $('#dashcard1').click(function(){
     $("#dashbox2").hide();
     $("#dashbox1").show();
 });
 $('#dashcard2').click(function(){
     $("#dashbox1").hide();
     $("#dashbox2").show();
 });
</script>

        {% endblock content %}
